# Contributors

Project contributors listed chronologically.

* [@czyzby](https://github.com/czyzby)
  * Author of most of the libraries, main maintainer.
* [@kotcrab](https://github.com/kotcrab)
  * Author of the [`VisUI` extension](../vis).
* [@MrPlow442](https://github.com/MrPlow442)
  * Contributed LibGDX [collections](../collections) utilities.
* [@sreich](https://github.com/sreich)
  * Contributed various utilities from the [Ore Infinium](https://github.com/sreich/ore-infinium) project.
* [@yhlai-code](https://github.com/yhlai-code) (_raincole_)
  * Contributed LibGDX [collections](../collections) utilities.
  * Provided insightful review of the [`Async`](../async) module.
* [@Jkly](https://github.com/Jkly)
  * Author of the [`Ashley` module](../ashley).
  * Author of the [gdx-box2d-kotlin](https://github.com/Jkly/gdx-box2d-kotlin) library, which inspired the [`Box2D`](../box2d) **KTX** module.
  * Provided insightful review of the [`Box2D`](../box2d) module. Contributed ray casting and AABB query utilities.
* [@keturn](https://github.com/keturn)
  * Suggested the [`FreeType` extension](../freetype).
  * Contributed [graphics](../graphics) utilities.
* [@TomGrill](https://github.com/TomGrill)
  * Contributed improvements to the [dependency injection module](../inject).
* [@mrdlink](https://github.com/mrdlink)
  * Contributed significant improvements to the [math module](../math).
* [@dwursteisen](https://github.com/dwursteisen)
  * Started the [graphics module](../graphics).
  * Presented a [talk about Kotlin and LibGDX](https://www.youtube.com/watch?v=kDxerDYelLs) on the _KotlinConf2018_.
* [@nukesz](https://github.com/nukesz)
  * Refactored legacy tests of the [collections module](../collections).
* [@DavidPartouche](https://github.com/DavidPartouche)
  * Added KTX project template to the alternative [gdx-setup](https://github.com/czyzby/gdx-setup) application.
* [@jcornaz](https://github.com/jcornaz)
  * Contributed immutable vector implementations to the [math module](../math).
  * Provided valuable suggestions to the [async module](../async).
  * Added actions chaining utilities to the [actors module](../actors).
* [@ProOrange](https://github.com/ProOrange)
  * Updated the project to Kotlin 1.3 and stable coroutines API.
* [@jojomickymack](https://github.com/jojomickymack)
  * Wrote [a KTX tutorial](https://jojomickymack.gitlab.io/reverie/post/libktx_platformer/).
  * Prepared several KTX template projects and showcases.
  * Improved [app](../app) utilities.
* [@Quillraven](https://github.com/Quillraven)
  * Author of the [Tiled](../tiled) module.
  * Contributed [actors](../actors), [ashley](../ashley) and [collections](../collections) utilities.
  * Wrote a complete [KTX tutorial](https://github.com/Quillraven/SimpleKtxGame/wiki) based on the original LibGDX introduction.
  * Author of the [preferences](../preferences) module.
  * Tested and reviewed the [assets async](../assets-async) module.
* [@FocusPo1nt](https://github.com/FocusPo1nt)
  * Added utilities to [style module](../style).
* [@maltaisn](https://github.com/maltaisn)
  * Added utilities to [style module](../style).
  * Contributed [JSON serialization](../json) utilities.
  * Updated the project to LibGDX 1.9.10.
* [@kvonspiczak](https://github.com/kvonspiczak)
  * Contributed documentation fix.
* [@cypherdare](https://github.com/cypherdare)
  * Contributed to numerous utilities in [actors](../actors), [assets](../assets), [async](../async),
  [collections](../collections), [graphics](../graphics) and [math](../math) modules.
  * Added `AssetGroup` API to [assets](../assets).
* [@jakewilson](https://github.com/jakewilson)
  * Added utilities to [graphics module](../graphics).
* [@rhutsaliuk](https://github.com/rhutsaliuk)
  * Contributed [json](../json) serializers utilities.
* [@ImXico](https://github.com/ImXico)
  * Author of the [Cyberpunk](https://github.com/ImXico/Cyberpunk) framework, which is another set of Kotlin LibGDX extensions.
  * Utilities for profiling, text rendering, camera updating and taking screenshots were integrated into KTX with **@ImXico** permission.
* [@heyheyIvan](https://github.com/heyheyIvan)
  * Contributed utilities to the [graphics module](../graphics).
* [@Divelix](https://github.com/Divelix)
  * Contributed utilities to the [Scene2D module](../scene2d).
* [@Rinat-Suleimanov](https://github.com/Rinat-Suleimanov)
  * Contributed utilities to the [collections module](../collections).
* [@Megamiun](https://github.com/Megamiun)
  * Migrated Groovy Gradle configuration files to Kotlin.
  * Updated the project from Gradle 5 to Gradle 6.
  * Updated the sources documentation generator to Dokka 1.4.
* [@deveth0](https://github.com/deveth0)
  * Contributed utilities to the [graphics module](../graphics).

### Metrics

See [the GitHub insights](https://github.com/libktx/ktx/graphs/contributors).
